Intermittent leak of two domwindows opened by test_bug426646.html

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
9 years ago
7 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Windows Server 2003
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292489419.1292491389.23924.gz&fulltext=1
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/12/16 00:50:19
s: w32-ix-slave39

http://tbpl.mozilla.org/leak-analysis/?id=1292489419.1292491389.23924.gz&tree=Firefox says "/tests/content/base/test/test_bug426646.html leaked 2 DOMWINDOW(s)"

Reasonable bet that it's related to bug 619631 - this first instance was on the first push after the Places merge.

Leaked URLs are world+dog+http://mochi.test:8888/tests/content/base/test/file_bug426646-1.html
(Reporter)

Comment 2

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1293692021.1293693836.10894.gz
WINNT 5.2 tracemonkey debug test mochitests-1/5 on 2010/12/29 22:53:41
s: w32-ix-slave26
(Reporter)

Comment 3

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294163505.1294165748.29964.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2011/01/04 09:51:45
s: win32-slave16
(Reporter)

Comment 4

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294169328.1294171572.26446.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2011/01/04 11:28:48
s: win32-slave16
(Reporter)

Comment 5

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294255909.1294259213.28712.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2011/01/05 11:31:49
s: win32-slave01
(Reporter)

Comment 6

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294258304.1294260504.2680.gz
Rev3 Fedora 12 mozilla-central debug test mochitests-1/5 on 2011/01/05 12:11:44
s: talos-r3-fed-034
(Reporter)

Comment 7

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294271506.1294273813.3106.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2011/01/05 15:51:46
s: win32-slave31
(Reporter)

Comment 8

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294451127.1294453494.9588.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitests-1/5 on 2011/01/07 17:45:27
s: talos-r3-leopard-012
(Reporter)

Comment 9

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1297147067.1297149412.5729.gz
Rev3 Fedora 12 mozilla-central debug test mochitests-1/5 on 2011/02/07 22:37:47
s: talos-r3-fed-028
(Reporter)

Comment 10

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1297407546.1297409961.15235.gz
Rev3 WINNT 6.1 tracemonkey debug test mochitests-1/5 on 2011/02/10 22:59:06
s: talos-r3-w7-016
(Reporter)

Comment 11

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1297453111.1297455483.32313.gz
Rev3 Fedora 12 mozilla-central debug test mochitests-1/5 on 2011/02/11 11:38:31
s: talos-r3-fed-026
Comment hidden (Legacy TBPL/Treeherder Robot)
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.